#define lowp
#define mediump
#define highp
#line 0
uniform highp mat4 uni_mvp;

attribute highp vec4 attr_pos;
attribute mediump vec2 attr_uv;
attribute lowp vec3 attr_normal;

varying mediump vec2 vary_uv;
varying lowp vec3 vary_normal;

void main (void) {
	vary_uv = attr_uv;
	
	lowp vec4 light_color = vec4 (1.0);
	
	vary_normal = attr_normal;
	
	gl_Position = uni_mvp * attr_pos;
}
